---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libattach045Agent01.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54DA8, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56CE8, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x570D0, symBinAddr: 0xE518, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x58070, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x58078, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x8DB1, offset: 0x8DB1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54A00, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DBC, offset: 0x8DBC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54A04, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DC7, offset: 0x8DC7, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54A08, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E0C, offset: 0x8E0C, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54B58, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8E79, offset: 0x8E79, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54C10, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8E97, offset: 0x8E97, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x54C14, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8EB0, offset: 0x8EB0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54C18, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EC9, offset: 0x8EC9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54C1C, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8EE2, offset: 0x8EE2, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54C20, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8EFB, offset: 0x8EFB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54C28, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F84, offset: 0x8F84, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x54C38, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F9D, offset: 0x8F9D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x54C40, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FB6, offset: 0x8FB6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x54C48, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FCF, offset: 0x8FCF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x54C50, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FE8, offset: 0x8FE8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x54C58, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9002, offset: 0x9002, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x54C60, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90E8, offset: 0x90E8, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x54CA4, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x9101, offset: 0x9101, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x54CA8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x911A, offset: 0x911A, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x54CB0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9133, offset: 0x9133, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x54CB8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x914C, offset: 0x914C, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x54CC8, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9165, offset: 0x9165, size: 0x8, addend: 0x0, symName: __ZL20eventsCounterMonitor, symObjAddr: 0x54CD0, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x917E, offset: 0x917E, size: 0x8, addend: 0x0, symName: __ZL13eventsCounter, symObjAddr: 0x54CD8, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9197, offset: 0x9197, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x54CE0, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91E9, offset: 0x91E9, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x32B0, symSize: 0xA0 }
  - { offsetInCU: 0x927E, offset: 0x927E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3288, symSize: 0x28 }
  - { offsetInCU: 0x92E1, offset: 0x92E1, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3208, symSize: 0x80 }
  - { offsetInCU: 0x9575, offset: 0x9575, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3350, symSize: 0x20C }
  - { offsetInCU: 0x972E, offset: 0x972E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x355C, symSize: 0x28 }
  - { offsetInCU: 0x97F7, offset: 0x97F7, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3584, symSize: 0xB0 }
  - { offsetInCU: 0x98EE, offset: 0x98EE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3634, symSize: 0xD8 }
  - { offsetInCU: 0x9A3F, offset: 0x9A3F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x370C, symSize: 0x24 }
  - { offsetInCU: 0x9B22, offset: 0x9B22, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3730, symSize: 0x168 }
  - { offsetInCU: 0x9CFE, offset: 0x9CFE, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3898, symSize: 0x104 }
  - { offsetInCU: 0x9E8F, offset: 0x9E8F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x399C, symSize: 0x154 }
  - { offsetInCU: 0xA073, offset: 0xA073, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3AF0, symSize: 0xAC }
  - { offsetInCU: 0xA148, offset: 0xA148, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3B9C, symSize: 0x14 }
  - { offsetInCU: 0xA181, offset: 0xA181, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3BB0, symSize: 0x14 }
  - { offsetInCU: 0xA1BA, offset: 0xA1BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3BC4, symSize: 0x14 }
  - { offsetInCU: 0xA337, offset: 0xA337, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3BD8, symSize: 0x1A8 }
  - { offsetInCU: 0xA641, offset: 0xA641, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3D80, symSize: 0x140 }
  - { offsetInCU: 0xA7E2, offset: 0xA7E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3EC0, symSize: 0x9C }
  - { offsetInCU: 0xA89F, offset: 0xA89F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3F5C, symSize: 0x690 }
  - { offsetInCU: 0xB431, offset: 0xB431, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA37C, symBinAddr: 0x5894, symSize: 0x30 }
  - { offsetInCU: 0xB4BD, offset: 0xB4BD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x45EC, symSize: 0x74 }
  - { offsetInCU: 0xB5B1, offset: 0xB5B1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4660, symSize: 0xB0 }
  - { offsetInCU: 0xB6BC, offset: 0xB6BC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4710, symSize: 0x3C }
  - { offsetInCU: 0xB7B2, offset: 0xB7B2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x474C, symSize: 0x29C }
  - { offsetInCU: 0xBAF5, offset: 0xBAF5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x49E8, symSize: 0xD0 }
  - { offsetInCU: 0xBC23, offset: 0xBC23, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4AB8, symSize: 0xC }
  - { offsetInCU: 0xBCE5, offset: 0xBCE5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4AC4, symSize: 0x22C }
  - { offsetInCU: 0xBFA0, offset: 0xBFA0, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x8CFC, symBinAddr: 0x4CF0, symSize: 0x118 }
  - { offsetInCU: 0xC063, offset: 0xC063, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x8E14, symBinAddr: 0x4E08, symSize: 0x3A4 }
  - { offsetInCU: 0xC38F, offset: 0xC38F, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0x9290, symBinAddr: 0x51AC, symSize: 0xF0 }
  - { offsetInCU: 0xC462, offset: 0xC462, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0x9380, symBinAddr: 0x529C, symSize: 0x264 }
  - { offsetInCU: 0xC72C, offset: 0xC72C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x95E4, symBinAddr: 0x5500, symSize: 0x30 }
  - { offsetInCU: 0xC7A8, offset: 0xC7A8, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0x9614, symBinAddr: 0x5530, symSize: 0x1DC }
  - { offsetInCU: 0xC9A0, offset: 0xC9A0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0x9D3C, symBinAddr: 0x570C, symSize: 0x188 }
  - { offsetInCU: 0xCBD7, offset: 0xCBD7, size: 0x8, addend: 0x0, symName: _classPrepareHandler, symObjAddr: 0xAE60, symBinAddr: 0x58C4, symSize: 0x404 }
  - { offsetInCU: 0xD0F2, offset: 0xD0F2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xB264, symBinAddr: 0x5CC8, symSize: 0x398 }
  - { offsetInCU: 0xD51A, offset: 0xD51A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB5FC, symBinAddr: 0x6060, symSize: 0x358 }
...
